/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.csu.sdmx.validation.model;

import java.util.List;
import java.util.Map;

/**
 *
 * @author themi
 */
public class Series {
    private String lineNumber;
    private Map<String, String> attrs;
    private List<Obs> obsList;

    public Series(String lineNumber, Map<String, String> attrs, List<Obs> obsList) {
        this.lineNumber = lineNumber;
        this.attrs = attrs;
        this.obsList = obsList;
    }
    
    public Map<String, String> getAttributes() {
        return attrs;
    }
    
    public String getLineNumber() {
        return lineNumber;
    }
    
    public String getAttrValue(String attrName) {
        return attrs.get(attrName);
    }

    public int getObsCount() {
        return obsList.size();
    }

    public List<Obs> getObsValues() {
        return obsList;
    }
}
